<?php

namespace App\Modules\Media\Domain;

class MediaSaveConfiguration
{

    public function __construct(
        private int $width,
        private int $height,
        private int $largeWidth,
        private int $largeHeight,
        private bool $keepAspect
    ) {
    }

    public function getWidth(): int
    {
        return $this->width;
    }
    public function getHeight(): int
    {
        return $this->height;
    }

    public function getLargeWidth(): int
    {
        return $this->largeWidth;
    }
    public function getLargeHeight(): int
    {
        return $this->largeHeight;
    }

    public function keepAspect(): bool
    {
        return $this->keepAspect;
    }
}
